Bug 5654 - If review due dates are unset, 12-25-1969 shown in some email templates
If review due dates are unset, 12-25-1969 shown in some email templates
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Editors
2.3.3
PC Linux
: P5 enhancement
Assigned To: Alec Smecher
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 13:43 PDT by Alec Smecher
Modified: 2011-10-05 12:15 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects: OCS 2.3.3, OJS 2.3.3, OMP 1.0


Attachments
Patch against OJS pre-2.3.3 CVS (4.22 KB, patch)
2010-08-04 14:01 PDT, Alec Smecher
Details | Diff
Patch against OCS 2.3.3 (3.13 KB, patch)
2010-08-04 14:02 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2010-08-04 13:43:20 PDT
If review due dates are unset, 12-25-1969 shown in some email templates. Default to something human-readable like MM-DD-YYYY.
Comment 1 Alec Smecher 2010-08-04 14:01:57 PDT
Created attachment 3150 [details]
Patch against OJS pre-2.3.3 CVS
Comment 2 Alec Smecher 2010-08-04 14:02:22 PDT
Created attachment 3151 [details]
Patch against OCS 2.3.3
Comment 3 Alec Smecher 2011-09-14 17:45:07 PDT
Fixed review due date default problem
https://github.com/pkp/ocs/commit/29c1dda6b4ce92ae3a2390a17b0629cf537fc6d8
Comment 4 Alec Smecher 2011-10-05 12:10:02 PDT
Fixed unspecified review due date behavior for new PHPs
https://github.com/pkp/ocs/commit/8fef55bb55f6a2dbc3a66999f2eae10f8efaf491
Comment 5 Alec Smecher 2011-10-05 12:12:57 PDT
Note that the patches from 2010-08-04 don't include the additional fix posted 2011-010-05.
Comment 6 Alec Smecher 2011-10-05 12:15:02 PDT
Fixed unspecified review due date behavior for new PHPs
https://github.com/pkp/ojs/commit/529b578ec3dbbd1bd961bdfcc3c3c7155acbe318